# AI Studios - User Expertise Focus Distribution POST /api/v1/aistudios/expertise-focus/{username}/ Content-Type: application/json **POST:** Get count distribution of experience categories for a specific user. Shows the areas of expertise based on the experiences created by the user. Requires a publication URL in the POST body for access control validation. Returns an array of objects with category names and their respective counts. Categories with null values are grouped as 'Uncategorized'. Reference: https://docs.aisquare.studio/api-reference/ai-square-studio-api/ai-studios-creator-profiles/aistudios-expertise-focus-create ## OpenAPI Specification ```yaml openapi: 3.1.0 info: title: AISquare Studio API version: 1.0.0 paths: /api/v1/aistudios/expertise-focus/{username}/: post: operationId: aistudios-expertise-focus-create summary: AI Studios - User Expertise Focus Distribution description: >- **POST:** Get count distribution of experience categories for a specific user. Shows the areas of expertise based on the experiences created by the user. Requires a publication URL in the POST body for access control validation. Returns an array of objects with category names and their respective counts. Categories with null values are grouped as 'Uncategorized'. tags: - subpackage_aiStudiosCreatorProfiles parameters: - name: username in: path description: Username of the user to get expertise focus for required: true schema: type: string responses: '200': description: Successful response with expertise focus distribution content: application/json: schema: $ref: >- #/components/schemas/AI Studios - Creator Profiles_aistudios_expertise_focus_create_Response_200 '404': description: User not found content: application/json: schema: description: Any type requestBody: content: application/json: schema: type: object properties: publication_url: type: string description: URL of the publication for access control required: - publication_url components: schemas: AI Studios - Creator Profiles_aistudios_expertise_focus_create_Response_200: type: object properties: {} description: Empty response body title: >- AI Studios - Creator Profiles_aistudios_expertise_focus_create_Response_200 ``` ## SDK Code Examples ```python import requests url = "https://api.example.com/api/v1/aistudios/expertise-focus/username/" payload = { "publication_url": "my-publication" } headers = {"Content-Type": "application/json"} response = requests.post(url, json=payload, headers=headers) print(response.json()) ``` ```javascript const url = 'https://api.example.com/api/v1/aistudios/expertise-focus/username/'; const options = { method: 'POST', headers: {'Content-Type': 'application/json'}, body: '{"publication_url":"my-publication"}' }; try { const response = await fetch(url, options); const data = await response.json(); console.log(data); } catch (error) { console.error(error); } ``` ```go package main import ( "fmt" "strings" "net/http" "io" ) func main() { url := "https://api.example.com/api/v1/aistudios/expertise-focus/username/" payload := strings.NewReader("{\n \"publication_url\": \"my-publication\"\n}") req, _ := http.NewRequest("POST", url, payload) req.Header.Add("Content-Type", "application/json") res, _ := http.DefaultClient.Do(req) defer res.Body.Close() body, _ := io.ReadAll(res.Body) fmt.Println(res) fmt.Println(string(body)) } ``` ```ruby require 'uri' require 'net/http' url = URI("https://api.example.com/api/v1/aistudios/expertise-focus/username/") http = Net::HTTP.new(url.host, url.port) http.use_ssl = true request = Net::HTTP::Post.new(url) request["Content-Type"] = 'application/json' request.body = "{\n \"publication_url\": \"my-publication\"\n}" response = http.request(request) puts response.read_body ``` ```java import com.mashape.unirest.http.HttpResponse; import com.mashape.unirest.http.Unirest; HttpResponse response = Unirest.post("https://api.example.com/api/v1/aistudios/expertise-focus/username/") .header("Content-Type", "application/json") .body("{\n \"publication_url\": \"my-publication\"\n}") .asString(); ``` ```php request('POST', 'https://api.example.com/api/v1/aistudios/expertise-focus/username/', [ 'body' => '{ "publication_url": "my-publication" }', 'headers' => [ 'Content-Type' => 'application/json', ], ]); echo $response->getBody(); ``` ```csharp using RestSharp; var client = new RestClient("https://api.example.com/api/v1/aistudios/expertise-focus/username/"); var request = new RestRequest(Method.POST); request.AddHeader("Content-Type", "application/json"); request.AddParameter("application/json", "{\n \"publication_url\": \"my-publication\"\n}", ParameterType.RequestBody); IRestResponse response = client.Execute(request); ``` ```swift import Foundation let headers = ["Content-Type": "application/json"] let parameters = ["publication_url": "my-publication"] as [String : Any] let postData = JSONSerialization.data(withJSONObject: parameters, options: []) let request = NSMutableURLRequest(url: NSURL(string: "https://api.example.com/api/v1/aistudios/expertise-focus/username/")! as URL, cachePolicy: .useProtocolCachePolicy, timeoutInterval: 10.0) request.httpMethod = "POST" request.allHTTPHeaderFields = headers request.httpBody = postData as Data let session = URLSession.shared let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in if (error != nil) { print(error as Any) } else { let httpResponse = response as? HTTPURLResponse print(httpResponse) } }) dataTask.resume() ```